aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorGerd Hoffmann <kraxel@redhat.com>2020-11-09 11:16:42 +0100
committerGerd Hoffmann <kraxel@redhat.com>2020-11-09 11:16:42 +0100
commit3c369f1bc4c574a698a4c5efee162f7bf100e784 (patch)
tree62b3f8262f7cfb15e8f7da528f8de2124e151995
parent39505772f2f9aaa4980e9ea1b3f4d88567c32fea (diff)
downloadimagefish-3c369f1bc4c574a698a4c5efee162f7bf100e784.tar.gz
centos wsl, tweak rpms
-rw-r--r--CentOS8-wsl.sh20
-rwxr-xr-xRHEL8-wsl.sh2
2 files changed, 21 insertions, 1 deletions
diff --git a/CentOS8-wsl.sh b/CentOS8-wsl.sh
new file mode 100644
index 0000000..547a2e7
--- /dev/null
+++ b/CentOS8-wsl.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+vers="${1-8}"
+name="centos-${vers}-wsl"
+repo="repos/centos-${vers}.repo"
+rpms="-kernel* -microcode_ctl -*-firmware git-core"
+
+tar="${IMAGEFISH_DESTDIR-.}/${name}.tar"
+
+echo ""
+echo "###"
+echo "### $name"
+echo "###"
+echo "### $rpms"
+echo "###"
+
+set -ex
+rm -f "$tar"
+scripts/install-redhat.sh --config "$repo" --tar "$tar" --packages "$rpms" \
+ --kernel "" --platform el8 --dnf
diff --git a/RHEL8-wsl.sh b/RHEL8-wsl.sh
index 2b58b17..9acff5d 100755
--- a/RHEL8-wsl.sh
+++ b/RHEL8-wsl.sh
@@ -3,7 +3,7 @@
vers="$1"
name="rhel-${vers}-wsl"
repo="/mort/mirror/rhel/repo/el8/mirror-RHEL-${vers}-BaseOS.repo"
-rpms="-kernel* -microcode_ctl git-core"
+rpms="-kernel* -microcode_ctl -*-firmware"
tar="${IMAGEFISH_DESTDIR-.}/${name}.tar"